MountJournalEnhancedSource = {
    {
        Name = "Drop",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            [24242] = "Swift Razzashi Raptor", -- no longer available
            [24252] = "Swift Zulian Tiger", -- no longer available

            [60002] = "Time-Lost Proto-Drake", -- The Storm Peaks, Time-Lost Proto-Drake
            [88718] = "Phosphorescent Stone Drake", -- Deepholm, Aeonaxx
            [88750] = "Grey Riding Camel", -- Uldum, Mysterious Camel Figurine
            [98718] = "Subdued Seahorse", -- Shimmering Expanse, Poseidus
            [127158] = "Heavenly Onyx Cloud Serpent", -- Kun-Lai Summit, Sha of Anger
            [130965] = "Son of Galleon", -- Valley of the Four Winds, Galleon
            [132036] = "Thundering Ruby Cloud Serpent", -- 10x Skyshard, needs reputation to learn
            [138423] = "Cobalt Primordial Direhorn", -- Isle of Giants, Oondasta
            [139442] = "Thundering Cobalt Cloud Serpent", -- Isle of Thunder, Nalak
            [148476] = "Thundering Onyx Cloud Serpent", -- Timeless Isle, Huolon
            [179478] = "Voidtalon of the Dark Star", -- Edge of Reality
            
            -- Zandalari Warbringer
            [138424] = "Amber Primordial Direhorn",
            [138425] = "Slate Primordial Direhorn",
            [138426] = "Jade Primordial Direhorn",

            -- Mysterious Egg
            [61294] = "Green Proto-Drake",

            -- Primal Egg
            [138641] = "Red Primal Raptor",
            [138642] = "Black Primal Raptor",
            [138643] = "Green Primal Raptor",

            -- Warlords of Draenor Rare
            [171636] = "Great Greytusk",
            [171620] = "Bloodhoof Bull",
            [171622] = "Mottled Meadowstomper",
            [171849] = "Sunhide Gronnling",
            [171824] = "Sapphire Riverbeast",
            [171830] = "Swift Breezestrider",
            [171619] = "Tundra Icehoof", -- Vengeance, Deathtalon, Terrorfist, Doomroller
            [171630] = "Armored Razorback", -- Vengeance, Deathtalon, Terrorfist, Doomroller
            [171837] = "Warsong Direfang", -- Vengeance, Deathtalon, Terrorfist, Doomroller
            
            -- Warlords of Draenor Elite
            [171851] = "Garn Nighthowl",

            -- Warlords of Draenor World Boss
            [171828] = "Solar Spirehawk", -- Rukhmar
            
            
        },
    },

    {
        Name = "Quest",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            [26656] = "Black Qiraji Battle Tank", -- no longer available
            [54753] = "White Polar Bear", -- Quest from Gretta the Arbiter, needs reputation to be able to accept the quest
            [73313] = "Crimson Deathcharger", -- Mograine's Reunion
            [75207] = "Abyssal Seahorse", -- The Abyssal Ride
            [127154] = "Onyx Cloud Serpent", -- Quest Surprise Attack!, needs reputation to be able to accept the quest
            [138640] = "Bone-White Primal Raptor", -- A Mountain of Giant Dinosaur Bones

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Operation: Shieldwall
            [136163] = "Grand Gryphon", -- The Silence

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Dominance Offensive
            [136164] = "Grand Wyvern", -- Breath of Darkest Shadow
        },
    },

    {
        Name = "Vendor",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            [122708] = "Grand Expedition Yak",
            [127216] = "Grey Riding Yak",
            [127220] = "Blonde Riding Yak",
            [171825] = "Mosshide Riverwallow",
            [171616] = "Witherhide Cliffstomper",
            [171628] = "Rocktusk Battleboar", -- Trader Araanda, Trader Darakk

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            [171846] = "Champion's Treadblade",

            -- pre 1.4, no longer available
            [15779] = "White Mechanostrider Mod B",
            [16055] = "Black Nightsaber",
            [16056] = "Ancient Frostsaber",
            [16082] = "Palomino",
            [16083] = "White Stallion",
            [17459] = "Icy Blue Mechanostrider Mod A",
            [17460] = "Frost Ram",
            [17461] = "Black Ram",

            -- Stormwind
            [32235] = "Golden Gryphon",
            [32239] = "Ebon Gryphon",
            [32240] = "Snowy Gryphon",
            [32242] = "Swift Blue Gryphon",
            [32289] = "Swift Red Gryphon",
            [32290] = "Swift Green Gryphon",
            [32292] = "Swift Purple Gryphon",

            -- Kirin Tor
            [59791] = "Wooly Mammoth", -- Alliance
            [60114] = "Armored Brown Bear", -- Alliance
            [61229] = "Armored Snowy Gryphon",
            [61425] = "Traveler's Tundra Mammoth", -- Alliance

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- pre 1.4, no longer available
            [16080] = "Red Wolf",
            [16081] = "Arctic Wolf",
            [16084] = "Mottled Red Raptor",
            [17450] = "Ivory Raptor",
            [18991] = "Green Kodo",
            [18992] = "Teal Kodo",

            -- Orgrimmar
            [32243] = "Tawny Wind Rider",
            [32244] = "Blue Wind Rider",
            [32245] = "Green Wind Rider",
            [32246] = "Swift Red Wind Rider",
            [32295] = "Swift Green Wind Rider",
            [32296] = "Swift Yellow Wind Rider",
            [32297] = "Swift Purple Wind Rider",

            -- Kirin Tor
            [59793] = "Wooly Mammoth", -- Horde
            [60116] = "Armored Brown Bear", -- Horde
            [61230] = "Armored Blue Wind Rider",
            [61447] = "Traveler's Tundra Mammoth", -- Horde
        },
    },

    {
        Name = "Profession",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Engineering
            [44151] = "Turbo-Charged Flying Machine",
            [44153] = "Flying Machine",
            [126507] = "Depleted-Kyparium Rocket",
            [126508] = "Geosynchronous World Spinner",
            [134359] = "Sky Golem",

            -- Tailoring
            [61309] = "Magnificent Flying Carpet",
            [61451] = "Flying Carpet",
            [75596] = "Frosty Flying Carpet",
            [169952] = "Creeping Carpet",

            -- Fishing
            [30174] = "Riding Turtle",
            [64731] = "Sea Turtle",

            -- Archaeology
            [84751] = "Fossilized Raptor",
            [92155] = "Ultramarine Qiraji Battle Tank",
            [93326] = "Sandstone Drake",

            -- Jewelcrafting
            [120043] = "Jeweled Onyx Panther",
            [121838] = "Ruby Panther",
            [121837] = "Jade Panther",
            [121836] = "Sapphire Panther",
            [121839] = "Sunstone Panther",

            -- Leatherworking
            [171844] = "Dustmane Direwolf",

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Engineering
            [60424] = "Mekgineer's Chopper",

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Engineering
            [55531] = "Mechano-Hog",
        },
    },

    {
        Name = "Instance",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Dungeon
            [17481] = "Rivendare's Deathcharger", -- Stratholme, Lord Aurius Rivendare
            [41252] = "Raven Lord", -- Sethekk Halls, Anzu
            [46628] = "Swift White Hawkstrider", -- Magisters' Terrace, Kael'thas Sunstrider
            [59569] = "Bronze Drake", -- The Culling of Stratholme, Infinite Corruptor
            [59996] = "Blue Proto-Drake", -- Utgarde Pinnacle, Skadi
            [88742] = "Drake of the North Wind", -- The Vortex Pinnacle, Altarius
            [88746] = "Vitreous Stone Drake", -- The Stonecore, Slabhide
            [96491] = "Armored Razzashi Raptor", -- Zul'Gurub, Bloodlord Mandokir
            [96499] = "Swift Zulian Panther", -- Zul'Gurub, High Priestess Kilnara

            -- Raid
            [25953] = "Blue Qiraji Battle Tank", -- Temple of Ahn'Qiraj
            [26054] = "Red Qiraji Battle Tank", -- Temple of Ahn'Qiraj
            [26055] = "Yellow Qiraji Battle Tank", -- Temple of Ahn'Qiraj
            [26056] = "Green Qiraji Battle Tank", -- Temple of Ahn'Qiraj
            [36702] = "Fiery Warhorse", -- Karazhan, Attumen the Huntsman
            [40192] = "Ashes of Al'ar", -- The Eye, Kael'thas Sunstrider
            [59567] = "Azure Drake", -- The Eye of Eternity, Malygos
            [59568] = "Blue Drake", -- The Eye of Eternity, Malygos
            [59571] = "Twilight Drake", -- The Obsidian Sanctum, Sartharion
            [59650] = "Black Drake", -- The Obsidian Sanctum, Sartharion
            [69395] = "Onyxian Drake", -- Onyxia's Lair, Onyxia
            [63796] = "Mimiron's Head", -- Ulduar, Yogg-Saron
            [72286] = "Invincible", -- Icecrown Citadel, The Lich King
            [88744] = "Drake of the South Wind", -- Throne of Four Winds, Al'Akir
            [97493] = "Pureblood Fire Hawk", -- Firelands, Ragnaros
            [101542] = "Flametalon of Alysrazor", -- Firelands, Alysrazor
            [107842] = "Blazing Drake", -- Dragon Soul, Deathwing
            [107845] = "Life-Binder's Handmaiden", -- Dragon Soul, Deathwing
            [110039] = "Experiment 12-B", -- Dragon Soul, Ultraxion
            [127170] = "Astral Cloud Serpent", -- Mogu'shan Vaults, Elegon
            [136471] = "Spawn of Horridon", -- Throne of Thunder, Horridon
            [139448] = "Clutch of Ji-Kun", -- Throne of Thunder, Ji-Kun
            [148417] = "Kor'kron Juggernaut", -- Siege of Orgrimmar, Garrosh Hellscream
            [171621] = "Ironhoof Destroyer", -- Blackrock Foundry, Blackhand
            [182912] = "Felsteel Annihilator", -- Hellfire Citadel, Archimonde

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Vault of Archavon
            [61465] = "Grand Black War Mammoth", -- Alliance

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Vault of Archavon
            [61467] = "Grand Black War Mammoth", -- Horde
        },
    },

    {
        Name = "Reputation",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Sha'tari Skyguard
            [39798] = "Green Riding Nether Ray",
            [39800] = "Red Riding Nether Ray",
            [39801] = "Purple Riding Nether Ray",
            [39802] = "Silver Riding Nether Ray",
            [39803] = "Blue Riding Nether Ray",

            -- Netherwing
            [41513] = "Onyx Netherwing Drake",
            [41514] = "Azure Netherwing Drake",
            [41515] = "Cobalt Netherwing Drake",
            [41516] = "Purple Netherwing Drake",
            [41517] = "Veridian Netherwing Drake",
            [41518] = "Violet Netherwing Drake",

            -- Cenarion Expedition
            [43927] = "Cenarion War Hippogryph",

            -- The Storm Peaks
            [54753] = "White Polar Bear", -- Quest from Gretta the Arbiter

            -- The Wyrmrest Accord
            [59570] = "Red Drake",

            -- Argent Tournament
            [63844] = "Argent Hippogryph",
            [66906] = "Argent Charger",
            [67466] = "Argent Warhorse",

            -- Ramkahen
            [88748] = "Brown Riding Camel",
            [88749] = "Tan Riding Camel",

            -- Tol Barad
            [88741] = "Drake of the West Wind",

            -- The Anglers
            [118089] = "Azure Water Strider",

            -- The Klaxxi
            [123886] = "Amber Scorpion",

            -- Order of the Cloud Serpent
            [113199] = "Jade Cloud Serpent",
            [123992] = "Azure Cloud Serpent",
            [123993] = "Golden Cloud Serpent",

            -- Golden Lotus
            [127174] = "Azure Riding Crane",
            [127176] = "Golden Riding Crane",
            [127177] = "Regal Riding Crane",

            -- Tushui Pandaren/Huojin Pandaren
            [120822] = "Great Red Dragon Turtle",
            [120395] = "Green Dragon Turtle",
            [127286] = "Black Dragon Turtle",
            [127287] = "Blue Dragon Turtle",
            [127288] = "Brown Dragon Turtle",
            [127289] = "Purple Dragon Turtle",
            [127290] = "Red Dragon Turtle",
            [127293] = "Great Green Dragon Turtle",
            [127295] = "Great Black Dragon Turtle",
            [127302] = "Great Blue Dragon Turtle",
            [127308] = "Great Brown Dragon Turtle",
            [127310] = "Great Purple Dragon Turtle",

            -- Shado-Pan
            [127154] = "Onyx Cloud Serpent", -- From Quest Surprise Attack!
            [129932] = "Green Shado-Pan Riding Tiger",
            [129934] = "Blue Shado-Pan Riding Tiger",
            [129935] = "Red Shado-Pan Riding Tiger",

            -- The Tillers
            [130086] = "Brown Riding Goat",
            [130137] = "White Riding Goat",
            [130138] = "Black Riding Goat",

            -- The August Celestials
            [129918] = "Thundering August Cloud Serpent",
            [132036] = "Thundering Ruby Cloud Serpent", -- 10x Skyshard

            -- The Lorewalkers
            [130092] = "Red Flying Cloud",

            -- Emperor Shaohao
            [127164] = "Heavenly Golden Cloud Serpent",

            -- The Saberstalkers
            [171633] = "Wild Goretusk",
            [190690] = "Bristling Hellboar",
            
            -- Steamwheedle Preservation Society
            [171634] = "Domesticated Razorback",

            -- Arakkoa Outcasts
            [171829] = "Shadowmane Charger",
            
            -- Order of the Awakened
            [183117] = "Corrupted Dreadwing",

            -- Vol'jin's Headhunters, Hand of the Prophet
            [190977] = "Deathtusk Felboar",
            
            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Stormwind
            [458] = "Brown Horse",
            [470] = "Black Stallion",
            [472] = "Pinto",
            [6648] = "Chestnut Mare",
            [23227] = "Swift Palomino",
            [23228] = "Swift White Steed",
            [23229] = "Swift Brown Steed",

            -- Ironforge
            [6777] = "Gray Ram",
            [6898] = "White Ram",
            [6899] = "Brown Ram",
            [23238] = "Swift Brown Ram",
            [23239] = "Swift Gray Ram",
            [23240] = "Swift White Ram",

            -- Gnomeregan
            [10873] = "Red Mechanostrider",
            [10969] = "Blue Mechanostrider",
            [17453] = "Green Mechanostrider",
            [17454] = "Unpainted Mechanostrider",
            [23222] = "Swift Yellow Mechanostrider",
            [23223] = "Swift White Mechanostrider",
            [23225] = "Swift Green Mechanostrider",

            -- Darnassus
            [8394] = "Striped Frostsaber",
            [10793] = "Striped Nightsaber",
            [10789] = "Spotted Frostsaber",
            [23219] = "Swift Mistsaber",
            [23221] = "Swift Frostsaber",
            [23338] = "Swift Stormsaber",
            [66847] = "Striped Dawnsaber",

            -- Exodar
            [34406] = "Brown Elekk",
            [35710] = "Gray Elekk",
            [35711] = "Purple Elekk",
            [35712] = "Great Green Elekk",
            [35713] = "Great Blue Elekk",
            [35714] = "Great Purple Elekk",

            -- Gilneas
            [103195] = "Mountain Horse",
            [103196] = "Swift Mountain Horse",

            -- Wintersaber Trainers
            [17229] = "Winterspring Frostsaber",

            -- Kurenai
            [34896] = "Cobalt War Talbuk",
            [34897] = "White War Talbuk",
            [34898] = "Silver War Talbuk",
            [34899] = "Tan War Talbuk",
            [39315] = "Cobalt Riding Talbuk",
            [39317] = "Silver Riding Talbuk",
            [39318] = "Tan Riding Talbuk",
            [39319] = "White Riding Talbuk",

            -- The Sons of Hodir
            [59799] = "Ice Mammoth", -- Alliance
            [61470] = "Grand Ice Mammoth", -- Alliance

            -- Argent Tournament
            [63232] = "Stormwind Steed",
            [63636] = "Ironforge Ram",
            [63637] = "Darnassian Nightsaber",
            [63638] = "Gnomeregan Mechanostrider",
            [63639] = "Exodar Elekk",
            [65637] = "Great Red Elekk",
            [65638] = "Swift Moonsaber",
            [65640] = "Swift Gray Steed",
            [65642] = "Turbostrider",
            [65643] = "Swift Violet Ram",

            -- The Silver Covenant
            [66087] = "Silver Covenant Hippogryph",
            [66090] = "Quel'dorei Steed",

            -- Tol Barad
            [92231] = "Spectral Steed",

            -- Operation: Shieldwall
            [135416] = "Grand Armored Gryphon",

            -- Kirin Tor Offensive
            [140249] = "Golden Primal Direhorn",

            -- Council of Exarchs
            [171625] = "Dusty Rockhide",

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Orgrimmar
            [580] = "Timber Wolf",
            [6653] = "Dire Wolf",
            [6654] = "Brown Wolf",
            [23250] = "Swift Brown Wolf",
            [23251] = "Swift Timber Wolf",
            [23252] = "Swift Gray Wolf",
            [64658] = "Black Wolf",

            -- Darkspear Trolls
            [8395] = "Emerald Raptor",
            [10796] = "Turquoise Raptor",
            [10799] = "Violet Raptor",
            [23241] = "Swift Blue Raptor",
            [23242] = "Swift Olive Raptor",
            [23243] = "Swift Orange Raptor",

            -- Undercity
            [17462] = "Red Skeletal Horse",
            [17463] = "Blue Skeletal Horse",
            [17464] = "Brown Skeletal Horse",
            [17465] = "Green Skeletal Warhorse",
            [23246] = "Purple Skeletal Warhorse",
            [64977] = "Black Skeletal Horse",
            [66846] = "Ochre Skeletal Warhorse",

            -- Thunder Bluff
            [18989] = "Gray Kodo",
            [18990] = "Brown Kodo",
            [23247] = "Great White Kodo",
            [23248] = "Great Gray Kodo",
            [23249] = "Great Brown Kodo",
            [64657] = "White Kodo",

            -- Silvermoon City
            [35027] = "Swift Purple Hawkstrider",
            [33660] = "Swift Pink Hawkstrider",
            [34795] = "Red Hawkstrider",
            [35018] = "Purple Hawkstrider",
            [35020] = "Blue Hawkstrider",
            [35022] = "Black Hawkstrider",
            [35025] = "Swift Green Hawkstrider",

            -- Bilgewater Cartel
            [87090] = "Goblin Trike",
            [87091] = "Goblin Turbo-Trike",

            -- Darkspear Trolls in Un'Goro Crater
            [64659] = "Venomhide Ravasaur",

            -- The Mag'har
            [34896] = "Cobalt War Talbuk",
            [34897] = "White War Talbuk",
            [34898] = "Silver War Talbuk",
            [34899] = "Tan War Talbuk",
            [39315] = "Cobalt Riding Talbuk",
            [39317] = "Silver Riding Talbuk",
            [39318] = "Tan Riding Talbuk",
            [39319] = "White Riding Talbuk",

            -- The Sons of Hodir
            [59797] = "Ice Mammoth", -- Horde
            [61469] = "Grand Ice Mammoth", -- Horde

            -- The Sunreavers
            [66088] = "Sunreaver Dragonhawk",
            [66091] = "Sunreaver Hawkstrider",

            -- Argent Tournament
            [63635] = "Darkspear Raptor",
            [63641] = "Thunder Bluff Kodo",
            [63640] = "Orgrimmar Wolf",
            [63642] = "Silvermoon Hawkstrider",
            [63643] = "Forsaken Warhorse",
            [65645] = "White Skeletal Warhorse",
            [65639] = "Swift Red Hawkstrider",
            [65641] = "Great Golden Kodo",
            [65644] = "Swift Purple Raptor",
            [65646] = "Swift Burgundy Wolf",

            -- Tol Barad
            [92232] = "Spectral Wolf",

            -- Sunreaver Onslaught
            [140250] = "Crimson Primal Direhorn",

            -- Dominance Offensive
            [135418] = "Grand Armored Wyvern",

            -- Frostwolf Orcs
            [171842] = "Swift Frostwolf",
        },
    },

    {
        Name = "Achievement",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            [43688] = "Amani War Bear", -- no longer available
            [59976] = "Black Proto-Drake", -- no longer available
            [60024] = "Violet Proto-Drake", -- What a Long, Strange Trip It's Been
            [60025] = "Albino Drake", -- Leading the Cavalry
            [98204] = "Amani Battle Bear", -- Bear-ly Made It
            [133023] = "Jade Pandaren Kite", -- Jade Pandaren Kite
            [142641] = "Brawler's Burly Mushan Beast", -- I've Got the Biggest Brawls of Them All (Season 1)

            -- Wrath of the Lichking
            [59961] = "Red Proto-Drake", -- Glory of the Hero
            [63956] = "Ironbound Proto-Drake", -- Glory of the Ulduar Raider (25 player)
            [63963] = "Rusted Proto-Drake", -- Glory of the Ulduar Raider (10 player)
            [72807] = "Icebound Frostbrood Vanquisher", -- Glory of the Icecrown Raider (25 player)
            [72808] = "Bloodbathed Frostbrood Vanquisher", -- Glory of the Icecrown Raider (10 player)

            -- Cataclysm
            [97359] = "Flameward Hippogryph", -- The Molten Front Offensive
            [88331] = "Volcanic Stone Drake", -- Glory of the Cataclysm Hero
            [88335] = "Drake of the East Wind", -- Glory of the Cataclysm Raider
            [88990] = "Dark Phoenix", -- Guild Glory of the Cataclysm Raider
            [97560] = "Corrupted Fire Hawk", -- Glory of the Firelands Raider
            [107844] = "Twilight Harbinger", -- Glory of the Dragon Soul Raider

            -- Mists of Pandaria
            [124408] = "Thundering Jade Cloud Serpent", -- Guild Glory of the Pandaria Raider
            [127156] = "Crimson Cloud Serpent", -- Glory of the Pandaria Hero
            [127161] = "Heavenly Crimson Cloud Serpent", -- Glory of the Pandaria Raider
            [136400] = "Armored Skyscreamer", -- Glory of the Thundering Raider
            [148392] = "Spawn of Galakras", -- Glory of the Orgrimmar Raider
            [148396] = "Kor'kron War Wolf", -- Ahead of the Curve: Garrosh Hellscream (10/25 player)

            -- Challenge Mode
            [129552] = "Crimson Pandaren Phoenix", -- Challenge Conqueror: Silver
            [132117] = "Ashen Pandaren Phoenix", -- Challenge Conqueror: Silver
            [132118] = "Emerald Pandaren Phoenix", -- Challenge Conqueror: Silver
            [132119] = "Violet Pandaren Phoenix", -- Challenge Conqueror: Silver

            -- Warlords of Draenor
            [97501] = "Felfire Hawk", -- Mountacular
            [170347] = "Core Hound", -- Boldly, You Sought the Power of Ragnaros
            [175700] = "Emerald Drake", --  Awake the Drakes
            [171436] = "Gorestrider Gronnling", -- Glory of the Draenor Raider
            [171627] = "Blacksteel Battleboar", -- Guild Glory of the Draenor Raider
            [171632] = "Frostplains Battleboar", -- Glory of the Draenor Hero
            [171848] = "Challenger's War Yeti", -- Challenge Warlord: Silver
            [186305] = "Infernal Direwolf", -- Glory of the Hellfire Raider
            [191633] = "Soaring Skyterror", -- Draenor Pathfinder
            
            ------------------------------
            -- Alliance ------------------
            ------------------------------

            [68057] = "Swift Alliance Steed", -- no longer available
            [68187] = "Crusader's White Warhorse", -- no longer available
            [90621] = "Golden King", -- Guild Level 25
            [130985] = "Pandaren Kite", -- Pandaren Ambassador, Alliance

            [61996] = "Blue Dragonhawk", -- Mountain o' Mounts, Alliance
            [142478] = "Armored Blue Dragonhawk", -- Mount Parade, Alliance
            [179245] = "Chauffeur", -- Heirloom Hoarder, Alliance
            
            ------------------------------
            -- Horde ---------------------
            ------------------------------

            [68056] = "Swift Horde Wolf", -- no longer available
            [68188] = "Crusader's Black Warhorse", -- no longer available
            [93644] = "Kor'kron Annihilator", -- Guild Level 25
            [118737] = "Pandaren Kite", -- Pandaren Ambassador, Horde
            [171845] = "Warlord's Deathwheel", --  Warlord's Deathwheel
            [179244] = "Chauffeur", -- Heirloom Hoarder, Horde

            [61997] = "Red Dragonhawk", -- Mountain o' Mounts, Horde
            [142266] = "Armored Red Dragonhawk", -- Mount Parade, Horde
        },
    },

    {
        Name = "Garrison",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Stables
            [171617] = "Trained Icehoof",
            [171623] = "Trained Meadowstomper",
            [171637] = "Trained Rocktusk",
            [171638] = "Trained Riverwallow",
            [171831] = "Trained Silverpelt",
            [171841] = "Trained Snarler",
            [171629] = "Armored Frostboar", -- Advanced Husbandry
            [171838] = "Armored Frostwolf", -- The Stable Master

            -- Fishing Shack
            [127271] = "Crimson Water Strider",

            -- Garrison Invasion
            [171624] = "Shadowhide Pearltusk",
            [171635] = "Giant Coldsnout",
            [171836] = "Garn Steelmaw",
            [171843] = "Smoky Direwolf",

            -- Garrison Mission
            [189364] = "Coalfist Gronnling", -- Breaker Two
            [171826] = "Mudback Riverbeast", -- It's a Boat, It's a Plane, It's... Just a Riverbeast.
            
            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Trading Post
            [171626] = "Armored Irontusk", -- Alliance

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Trading Post
            [171839] = "Ironside Warwolf", -- Horde
        },
    },

    {
        Name = "PVP",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Halaa
            [39316] = "Dark Riding Talbuk",
            [34790] = "Dark War Talbuk",

            -- Tol Barad
            [88741] = "Drake of the West Wind",

            -- Timeless Isle
            [148428] = "Ashhide Mushan Beast",

            -- Arena
            [37015] = "Swift Nether Drake", -- Season 1
            [44744] = "Merciless Nether Drake", -- Season 2
            [49193] = "Vengeful Nether Drake", -- Season 3
            [58615] = "Brutal Nether Drake", -- Season 4
            [64927] = "Deadly Gladiator's Frost Wyrm", -- Season 5
            [65439] = "Furious Gladiator's Frost Wyrm", -- Season 6
            [67336] = "Relentless Gladiator's Frost Wyrm", -- Season 7
            [71810] = "Wrathful Gladiator's Frost Wyrm", -- Season 8
            [101282] = "Vicious Gladiator's Twilight Drake", -- Season 9
            [101821] = "Ruthless Gladiator's Twilight Drake", -- Season 10
            [124550] = "Cataclysmic Gladiator's Twilight Drake", -- Season 11
            [139407] = "Malevolent Gladiator's Cloud Serpent", -- Season 12
            [148618] = "Tyrannical Gladiator's Cloud Serpent", -- Season 13
            [148619] = "Grievous Gladiator's Cloud Serpent", -- Season 14
            [148620] = "Prideful Gladiator's Cloud Serpent", -- Season 15
            [186828] = "Primal Gladiator's Felblood Gronnling", -- Season 16
            [189043] = "Wild Gladiator's Felblood Gronnling", -- Season 17
            [189044] = "Warmongering Gladiator's Felblood Gronnling", -- Season 18

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- War Mounts
            [22717] = "Black War Steed",
            [22719] = "Black Battlestrider",
            [22720] = "Black War Ram",
            [22723] = "Black War Tiger",
            [48027] = "Black War Elekk",
            [183889] = "Vicious War Mechanostrider",

            -- Achievement
            [60118] = "Black War Bear", -- For The Alliance!
            [100332] = "Vicious War Steed", -- Veteran of the Alliance
            [146615] = "Vicious Warsaber", -- Grievous Combatant
            [171834] = "Vicious War Ram", -- Primal Combatant

            -- Stormpike Guard
            [23510] = "Stormpike Battle Charger",

            -- Wintergrasp
            [59785] = "Black War Mammoth", -- Alliance

            -- Tol Barad
            [92231] = "Spectral Steed",

            -- Wrynn's Vanguard
            [171833] = "Pale Thorngrazer",

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- War Mounts
            [22718] = "Black War Kodo",
            [22724] = "Black War Wolf",
            [22722] = "Red Skeletal Warhorse",
            [35028] = "Swift Warstrider",
            [22721] = "Black War Raptor",
            [185052] = "Vicious War Kodo",

            -- Achievement
            [60119] = "Black War Bear", -- For The Horde!
            [100333] = "Vicious War Wolf", -- Veteran of the Horde
            [146622] = "Vicious Skeletal Warhorse", -- Grievous Combatant
            [171835] = "Vicious War Raptor", -- Primal Combatant

            -- Frostwolf Clan
            [23509] = "Frostwolf Howler",

            -- Wintergrasp
            [59788] = "Black War Mammoth", -- Horde

            -- Tol Barad
            [92232] = "Spectral Wolf",

            -- Vol'jin's Spear
            [171832] = "Breezestrider Stallion",
        },
    },

    {
        Name = "Class",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            --Warlock
            [5784] = "Felsteed",
            [23161] = "Dreadsteed",

            -- Death Knight
            [48778] = "Acherus Deathcharger",
            [54729] = "Winged Steed of the Ebon Blade",

            -- Paladin
            [66906] = "Argent Charger",

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            -- Paladin
            [23214] = "Summon Charger",
            [13819] = "Summon Warhorse",
            [73629] = "Summon Exarch's Elekk",
            [73630] = "Summon Great Exarch's Elekk",

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            -- Paladin
            [34767] = "Summon Thalassian Charger",
            [34769] = "Summon Thalassian Warhorse",
            [69820] = "Summon Sunwalker Kodo",
            [69826] = "Summon Great Sunwalker Kodo",
        },
    },

    {
        Name = "World Event",
        Data = {
            -- Love is in the Air
            [71342] = "Big Love Rocket",
            [102350] = "Swift Lovebird",

            -- Brewfest
            [43899] = "Brewfest Ram",
            [43900] = "Swift Brewfest Ram",
            [49378] = "Brewfest Riding Kodo",
            [49379] = "Great Brewfest Kodo",

            -- Hallow's End
            [48025] = "Headless Horseman's Mount",

            -- Noblegarden
            [102349] = "Swift Springstrider",

            -- Feast of Winter Veil
            [191314] = "Minion of Grumpus",
            
            -- Darkmoon Faire
            [103081] = "Darkmoon Dancing Bear",
            [102346] = "Swift Forest Strider",
            
            -- Timewalking
            [142910] = "Ironbound Wraithcharger",
            [194464] = "Eclipse Dragonhawk",
        },
    },

    {
        Name = "Black Market",
        Data = {
            [17481] = "Rivendare's Deathcharger",
            [30174] = "Riding Turtle",
            [36702] = "Fiery Warhorse",
            [40192] = "Ashes of Al'ar",
            [41252] = "Raven Lord",
            [46199] = "X-51 Nether-Rocket X-TREME",
            [46628] = "Swift White Hawkstrider",
            [54753] = "White Polar Bear",
            [59567] = "Azure Drake",
            [59568] = "Blue Drake",
            [59996] = "Blue Proto-Drake",
            [60021] = "Plagued Proto-Drake", -- Black Market only
            [61294] = "Green Proto-Drake",
            [63796] = "Mimiron's Head",
            [63963] = "Rusted Proto-Drake",
            [69395] = "Onyxian Drake",
            [72286] = "Invincible",
            [88742] = "Drake of the North Wind",
            [88744] = "Drake of the South Wind",
            [88746] = "Vitreous Stone Drake",
            [97493] = "Pureblood Fire Hawk",
            [101542] = "Flametalon of Alysrazor",
            [107842] = "Blazing Drake",
        },
    },

    {
        Name = "Promotion",
        Data = {
            ------------------------------
            -- Alliance & Horde ----------
            ------------------------------

            -- Recruit-A-Friend
            [49322] = "Swift Zhevra",
            [75973] = "X-53 Touring Rocket",
            [121820] = "Obsidian Nightwing",
            [149801] = "Emerald Hippogryph",
            [171847] = "Cindermane Charger",

            -- Trading Card Game
            [30174] = "Riding Turtle",
            [46197] = "X-51 Nether-Rocket",
            [46199] = "X-51 Nether-Rocket X-TREME",
            [42776] = "Spectral Tiger",
            [42777] = "Swift Spectral Tiger",
            [51412] = "Big Battle Bear",
            [65917] = "Magic Rooster",
            [74856] = "Blazing Hippogryph",
            [74918] = "Wooly White Rhino",
            [93623] = "Mottled Drake",
            [96503] = "Amani Dragonhawk",
            [97581] = "Savage Raptor",
            [101573] = "Swift Shorestrider",
            [102488] = "White Riding Camel",
            [102514] = "Corrupted Hippogryph",
            [113120] = "Feldrake",
            [136505] = "Ghastly Charger",

            -- Blizzard Store
            [75614] = "Celestial Steed",
            [98727] = "Winged Guardian",
            [110051] = "Heart of the Aspects",
            [134573] = "Swift Windsteed",
            [139595] = "Armored Bloodwing",
            [142878] = "Enchanted Fey Dragon",
            [153489] = "Iron Skyreaver",
            [163024] = "Warforged Nightmare",
            [163025] = "Grinning Reaver",
            [180545] = "Mystic Runesaber",
            [189999] = "Grove Warden",

            -- Promotion
            [58983] = "Big Blizzard Bear", -- BlizzCon
            [107203] = "Tyrael's Charger", -- no longer available, Diablo III Annual Pass
            [142073] = "Hearthsteed", -- Hearthstone

            -- Collector's Edition
            [124659] = "Imperial Quilen", -- Mists of Pandaria Collector's Edition
            [155741] = "Dread Raven", -- Warlords of Draenor Collector's Edition
            [189998] = "Illidari Felstalker", -- Legion Collector's Edition

            ------------------------------
            -- Alliance ------------------
            ------------------------------

            [107516] = "Spectral Gryphon", -- Scroll of Resurrection

            ------------------------------
            -- Horde ---------------------
            ------------------------------

            [107517] = "Spectral Wind Rider", -- Scroll of Resurrection
        },
    },
};

MountJournalEnhancedFamily = {

    ["Chimeras"] = {
        [153489] = "Iron Skyreaver",
        [124659] = "Imperial Quilen",
        [191633] = "Soaring Skyterror",
    },

    ["Kirin"] = {
        [134573] = "Swift Windsteed",
    },

    ["Bats"] = {
        [139595] = "Armored Bloodwing",
    },

    ["Bears"] = {
        [60118] = "Black War Bear", -- Alliance
        [60116] = "Armored Brown Bear", -- Horde
        [60119] = "Black War Bear", -- Horde
        [60114] = "Armored Brown Bear", -- Alliance
        [54753] = "White Polar Bear",
        [58983] = "Big Blizzard Bear",
        [51412] = "Big Battle Bear",
        [103081] = "Darkmoon Dancing Bear",
        [98204] = "Amani Battle Bear",
        [43688] = "Amani War Bear",
    },

    ["Boars"] = {
        [171634] = "Domesticated Razorback",
        [171635] = "Giant Coldsnout",
        [171636] = "Great Greytusk",
        [171637] = "Trained Rocktusk",
        [171627] = "Blacksteel Battleboar",
        [171628] = "Rocktusk Battleboar",
        [171629] = "Armored Frostboar",
        [171630] = "Armored Razorback",
        [171632] = "Frostplains Battleboar",
        [190977] = "Deathtusk Felboar",
        [171633] = "Wild Goretusk",
        [190690] = "Bristling Hellboar",
    },

    ["Camels"] = {
        [88748] = "Brown Riding Camel",
        [88750] = "Grey Riding Camel",
        [88749] = "Tan Riding Camel",
        [102488] = "White Riding Camel",
    },

    ["Cats"] = {
        [96499] = "Swift Zulian Panther",
        [10793] = "Striped Nightsaber",
        [66847] = "Striped Dawnsaber",
        [17229] = "Winterspring Frostsaber",
        [10789] = "Spotted Frostsaber",
        [8394] = "Striped Frostsaber",
        [16056] = "Ancient Frostsaber",
        [16055] = "Black Nightsaber",
        [22723] = "Black War Tiger",
        [23338] = "Swift Stormsaber",
        [23219] = "Swift Mistsaber",
        [65638] = "Swift Moonsaber",
        [23221] = "Swift Frostsaber",
        [63637] = "Darnassian Nightsaber",
        [24252] = "Swift Zulian Tiger",
        [129934] = "Blue Shado-Pan Riding Tiger",
        [129932] = "Green Shado-Pan Riding Tiger",
        [129935] = "Red Shado-Pan Riding Tiger",
        [146615] = "Vicious Warsaber",
        [90621] = "Golden King",
        [42776] = "Spectral Tiger",
        [42777] = "Swift Spectral Tiger",
        [120043] = "Jeweled Onyx Panther",
        [121836] = "Sapphire Panther",
        [121837] = "Jade Panther",
        [121838] = "Ruby Panther",
        [121839] = "Sunstone Panther",
        [121820] = "Obsidian Nightwing",
        [98727] = "Winged Guardian",
        [180545] = "Mystischer Runensäbler",
    },

    ["Clefthooves"] = {
        [171621] = "Ironhoof Destroyer",
        [171617] = "Trained Icehoof",
        [171616] = "Witherhide Cliffstomper",
        --[171618] = "Ancient Leatherhide",
        [171619] = "Tundra Icehoof",
        [171620] = "Bloodhoof Bull",
    },

    ["Cloud Serpents"] = {
        [127154] = "Onyx Cloud Serpent",
        [123992] = "Azure Cloud Serpent",
        [113199] = "Jade Cloud Serpent",
        [127156] = "Crimson Cloud Serpent",
        [123993] = "Golden Cloud Serpent",
        [148476] = "Thundering Onyx Cloud Serpent",
        [139442] = "Thundering Cobalt Cloud Serpent",
        [124408] = "Thundering Jade Cloud Serpent",
        [132036] = "Thundering Ruby Cloud Serpent",
        [129918] = "Thundering August Cloud Serpent",
        [148618] = "Tyrannical Gladiator's Cloud Serpent",
        [148620] = "Prideful Gladiator's Cloud Serpent",
        [139407] = "Malevolent Gladiator's Cloud Serpent",
        [148619] = "Grievous Gladiator's Cloud Serpent",
        [127158] = "Heavenly Onyx Cloud Serpent",
        [127161] = "Heavenly Crimson Cloud Serpent",
        [127164] = "Heavenly Golden Cloud Serpent",
        [127170] = "Astral Cloud Serpent",
    },

    ["Cranes"] = {
        [127177] = "Regal Riding Crane",
        [127174] = "Azure Riding Crane",
        [127176] = "Golden Riding Crane",
    },

    ["Devices"] = {
        [61309] = "Magnificent Flying Carpet",
        [61451] = "Flying Carpet",
        [75596] = "Frosty Flying Carpet",
        [169952] = "Creeping Carpet",
        [130985] = "Pandaren Kite (Alliance)",
        [133023] = "Jade Pandaren Kite",
        [118737] = "Pandaren Kite (Horde)",
        [130092] = "Red Flying Cloud",
    },

    ["Direhorns"] = {
        [136471] = "Spawn of Horridon",
        [140249] = "Golden Primal Direhorn",
        [140250] = "Crimson Primal Direhorn",
        [138423] = "Cobalt Primordial Direhorn",
        [138425] = "Slate Primordial Direhorn",
        [138426] = "Jade Primordial Direhorn",
        [138424] = "Amber Primordial Direhorn",
    },

    ["Dragonhawks"] = {
        [61997] = "Red Dragonhawk",
        [96503] = "Amani Dragonhawk",
        [61996] = "Blue Dragonhawk",
        [66088] = "Sunreaver Dragonhawk",
        [142478] = "Armored Blue Dragonhawk",
        [142266] = "Armored Red Dragonhawk",
        [194464] = "Eclipse Dragonhawk",
    },

    ["Drakes"] = {
        [110039] = "Experiment 12-B",
        [59650] = "Black Drake",
        [59568] = "Blue Drake",
        [59569] = "Bronze Drake",
        [93623] = "Mottled Drake",
        [59567] = "Azure Drake",
        [59570] = "Red Drake",
        [60025] = "Albino Drake",
        [59571] = "Twilight Drake",
        [113120] = "Feldrake",
        [175700] = "Emerald Drake",
        [101821] = "Ruthless Gladiator's Twilight Drake",
        [101282] = "Vicious Gladiator's Twilight Drake",
        [124550] = "Cataclysmic Gladiator's Twilight Drake",
        [69395] = "Onyxian Drake",
        [41513] = "Onyx Netherwing Drake",
        [41514] = "Azure Netherwing Drake",
        [41517] = "Veridian Netherwing Drake",
        [41516] = "Purple Netherwing Drake",
        [41518] = "Violet Netherwing Drake",
        [41515] = "Cobalt Netherwing Drake",
        [58615] = "Brutal Nether Drake",
        [37015] = "Swift Nether Drake",
        [44744] = "Merciless Nether Drake",
        [49193] = "Vengeful Nether Drake",
        [88746] = "Vitreous Stone Drake",
        [93326] = "Sandstone Drake",
        [88718] = "Phosphorescent Stone Drake",
        [88331] = "Volcanic Stone Drake",
        [88741] = "Drake of the West Wind",
        [88742] = "Drake of the North Wind",
        [88744] = "Drake of the South Wind",
        [88335] = "Drake of the East Wind",
        [142878] = "Enchanted Fey Dragon",
        [107842] = "Blazing Drake",
        [107844] = "Twilight Harbinger",
        [107845] = "Life-Binder's Handmaiden",
        [59996] = "Blue Proto-Drake",
        [60002] = "Time-Lost Proto-Drake",
        [61294] = "Green Proto-Drake",
        [59961] = "Red Proto-Drake",
        [60024] = "Violet Proto-Drake",
        [60021] = "Plagued Proto-Drake",
        [59976] = "Black Proto-Drake",
        [63956] = "Ironbound Proto-Drake",
        [63963] = "Rusted Proto-Drake",
        [148392] = "Spawn of Galakras",
        [72807] = "Icebound Frostbrood Vanquisher",
        [72808] = "Bloodbathed Frostbrood Vanquisher",
        [67336] = "Relentless Gladiator's Frost Wyrm",
        [71810] = "Wrathful Gladiator's Frost Wyrm",
        [64927] = "Deadly Gladiator's Frost Wyrm",
        [65439] = "Furious Gladiator's Frost Wyrm",
        [110051] = "Heart of the Aspects",
    },

    ["Elekks"] = {
        [171622] = "Mottled Meadowstomper",
        [171623] = "Trained Meadowstomper",
        [171624] = "Shadowhide Pearltusk",
        [171625] = "Dusty Rockhide",
        [34406] = "Brown Elekk",
        [35710] = "Gray Elekk",
        [35711] = "Purple Elekk",
        [35713] = "Great Blue Elekk",
        [35712] = "Great Green Elekk",
        [35714] = "Great Purple Elekk",
        [48027] = "Black War Elekk",
        [65637] = "Great Red Elekk",
        [63639] = "Exodar Elekk",
        [73629] = "Exarch's Elekk",
        [73630] = "Great Exarch's Elekk",
        [171626] = "Armored Irontusk",
    },

    ["Felstalker"] = {
        [189998] = "Illidari Felstalker"
    },
    
    ["Goats"] = {
        [130086] = "Brown Riding Goat",
        [130138] = "Black Riding Goat",
        [130137] = "White Riding Goat",
    },

    ["Gronnlings"] = {
        [171436] = "Gorestrider Gronnling",
        [171849] = "Sunhide Gronnling",
        [186828] = "Primal Gladiator's Felblood Gronnling",
        [189044] = "Warmongering Gladiator's Felblood Gronnling",
        [189364] = "Coalfist Gronnling",
        [189043] = "Wild Gladiator's Felblood Gronnling",
    },

    ["Gryphons"] = {
        [32235] = "Golden Gryphon",
        [32239] = "Ebon Gryphon",
        [32240] = "Snowy Gryphon",
        [32242] = "Swift Blue Gryphon",
        [32290] = "Swift Green Gryphon",
        [32292] = "Swift Purple Gryphon",
        [32289] = "Swift Red Gryphon",
        [61229] = "Armored Snowy Gryphon",
        [136163] = "Grand Gryphon",
        [135416] = "Grand Armored Gryphon",
        [54729] = "Winged Steed of the Ebon Blade",
        [107516] = "Spectral Gryphon",
    },

    ["Hawks"] = {
        [101542] = "Flametalon of Alysrazor",
        [65917] = "Magic Rooster",
        [171828] = "Solar Spirehawk",
        [97493] = "Pureblood Fire Hawk",
        [97560] = "Corrupted Fire Hawk",
        [97501] = "Felfire Hawk",
        [179478] = "Voidtalon of the Dark Star",
        [183117] = "Corrupted Dreadwing",
    },

    ["Hawkstriders"] = {
        [34795] = "Red Hawkstrider",
        [35022] = "Black Hawkstrider",
        [35020] = "Blue Hawkstrider",
        [35018] = "Purple Hawkstrider",
        [33660] = "Swift Pink Hawkstrider",
        [35028] = "Swift Warstrider",
        [35025] = "Swift Green Hawkstrider",
        [35027] = "Swift Purple Hawkstrider",
        [46628] = "Swift White Hawkstrider",
        [66091] = "Sunreaver Hawkstrider",
        [65639] = "Swift Red Hawkstrider",
        [63642] = "Silvermoon Hawkstrider",
    },

    ["Hippogryphs"] = {
        [63844] = "Argent Hippogryph",
        [43927] = "Cenarion War Hippogryph",
        [66087] = "Silver Covenant Hippogryph",
        [102514] = "Corrupted Hippogryph",
        [74856] = "Blazing Hippogryph",
        [97359] = "Flameward Hippogryph",
        [149801] = "Emerald Hippogryph",
    },

    ["Horses"] = {
        [103196] = "Swift Mountain Horse",
        [103195] = "Mountain Horse",
        [470] = "Black Stallion",
        [458] = "Brown Horse",
        [6648] = "Chestnut Mare",
        [472] = "Pinto",
        [16082] = "Palomino",
        [16083] = "White Stallion",
        [23227] = "Swift Palomino",
        [22717] = "Black War Steed",
        [23229] = "Swift Brown Steed",
        [23228] = "Swift White Steed",
        [65640] = "Swift Gray Steed",
        [63232] = "Stormwind Steed",
        [68057] = "Swift Alliance Steed",
        [67466] = "Argent Warhorse",
        [13819] = "Warhorse",
        [34769] = "Thalassian Warhorse",
        [23214] = "Charger",
        [66906] = "Argent Charger",
        [34767] = "Thalassian Charger",
        [68188] = "Crusader's Black Warhorse",
        [68187] = "Crusader's White Warhorse",
        [100332] = "Vicious War Steed",
        [49322] = "Swift Zhevra",
        [66090] = "Quel'dorei Steed",
        [5784] = "Felsteed",
        [36702] = "Fiery Warhorse",
        [48778] = "Acherus Deathcharger",
        [73313] = "Crimson Deathcharger",
        [23161] = "Dreadsteed",
        [17463] = "Blue Skeletal Horse",
        [64977] = "Black Skeletal Horse",
        [17462] = "Red Skeletal Horse",
        [17464] = "Brown Skeletal Horse",
        [17481] = "Rivendare's Deathcharger",
        [66846] = "Ochre Skeletal Warhorse",
        [17465] = "Green Skeletal Warhorse",
        [23246] = "Purple Skeletal Warhorse",
        [22722] = "Red Skeletal Warhorse",
        [63643] = "Forsaken Warhorse",
        [65645] = "White Skeletal Warhorse",
        [146622] = "Vicious Skeletal Warhorse",
        [92231] = "Spectral Steed",
        [163024] = "Warforged Nightmare",
        [75614] = "Celestial Steed",
        [107203] = "Tyrael's Charger",
        [142073] = "Hearthsteed",
        [48025] = "Headless Horseman's Mount",
        [72286] = "Invincible",
        [136505] = "Ghastly Charger",
        [171847] = "Cindermane Charger",
        [142910] = "Ironbound Wraithcharger",
    },

    ["Hounds"] = {
        [170347] = "Core Hound",
    },

    ["Kodos"] = {
        [18989] = "Gray Kodo",
        [64657] = "White Kodo",
        [18990] = "Brown Kodo",
        [18991] = "Green Kodo",
        [18992] = "Teal Kodo",
        [22718] = "Black War Kodo",
        [23247] = "Great White Kodo",
        [49378] = "Brewfest Riding Kodo",
        [49379] = "Great Brewfest Kodo",
        [23248] = "Great Gray Kodo",
        [23249] = "Great Brown Kodo",
        [65641] = "Great Golden Kodo",
        [63641] = "Thunder Bluff Kodo",
        [69820] = "Sunwalker Kodo",
        [69826] = "Great Sunwalker Kodo",
        [185052] = "Vicious War Kodo",
    },

    ["Mammoths"] = {
        [59785] = "Black War Mammoth", -- Alliance
        [59788] = "Black War Mammoth", -- Horde
        [59791] = "Wooly Mammoth", -- Alliance
        [59793] = "Wooly Mammoth", -- Horde
        [59799] = "Ice Mammoth", -- Alliance
        [59797] = "Ice Mammoth", -- Horde
        [61465] = "Grand Black War Mammoth", -- Alliance
        [61467] = "Grand Black War Mammoth", -- Horde
        [61425] = "Traveler's Tundra Mammoth", -- Alliance
        [61447] = "Traveler's Tundra Mammoth", -- Horde
        [61470] = "Grand Ice Mammoth", -- Alliance
        [61469] = "Grand Ice Mammoth", -- Horde
    },

    ["Mechanical"] = {
        [60424] = "Mekgineer's Chopper",
        [55531] = "Mechano-Hog",
        [87091] = "Goblin Turbo-Trike",
        [87090] = "Goblin Trike",
        [171845] = "Warlord's Deathwheel",
        [171846] = "Champion's Treadblade",
        [44151] = "Turbo-Charged Flying Machine",
        [44153] = "Flying Machine",
        [63796] = "Mimiron's Head",
        [134359] = "Sky Golem",
        [46199] = "X-51 Nether-Rocket X-TREME",
        [46197] = "X-51 Nether-Rocket",
        [71342] = "Big Love Rocket",
        [75973] = "X-53 Touring Rocket",
        [126507] = "Depleted-Kyparium Rocket",
        [126508] = "Geosynchronous World Spinner",
        [179244] = "Chauffeur", -- Heirloom Hoarder, Horde
        [179245] = "Chauffeur", -- Heirloom Hoarder, Alliance
        [182912] = "Felsteel Annihilator",
    },

    ["Mechanostriders"] = {
        [10969] = "Blue Mechanostrider",
        [10873] = "Red Mechanostrider",
        [17453] = "Green Mechanostrider",
        [17454] = "Unpainted Mechanostrider",
        [17459] = "Icy Blue Mechanostrider Mod A",
        [15779] = "White Mechanostrider Mod B",
        [22719] = "Black Battlestrider",
        [23225] = "Swift Green Mechanostrider",
        [65642] = "Turbostrider",
        [23223] = "Swift White Mechanostrider",
        [23222] = "Swift Yellow Mechanostrider",
        [63638] = "Gnomeregan Mechanostrider",
        [183889] = "Vicious War Mechanostrider",
    },

    ["Moose"] = {
        [189999] = "Grove Warden",
    },
    
    ["Mushan"] = {
        [148428] = "Ashhide Mushan Beast",
        [142641] = "Brawler's Burly Mushan Beast",
        [130965] = "Son of Galleon",
        [148626] = "Furious Ashhide Mushan", -- not available
    },

    ["Nether Rays"] = {
        [39801] = "Purple Riding Nether Ray",
        [39798] = "Green Riding Nether Ray",
        [39803] = "Blue Riding Nether Ray",
        [39802] = "Silver Riding Nether Ray",
        [39800] = "Red Riding Nether Ray",
    },

    ["Phoenixes"] = {
        [40192] = "Ashes of Al'ar",
        [88990] = "Dark Phoenix",
        [132117] = "Ashen Pandaren Phoenix",
        [139448] = "Clutch of Ji-Kun",
        [129552] = "Crimson Pandaren Phoenix",
        [132118] = "Emerald Pandaren Phoenix",
        [132119] = "Violet Pandaren Phoenix",
    },

    ["Pterodactyl"] = {
        [136400] = "Armored Skyscreamer",
    },

    ["Rams"] = {
        [6899] = "Brown Ram",
        [6777] = "Gray Ram",
        [6898] = "White Ram",
        [17461] = "Black Ram",
        [17460] = "Frost Ram",
        [43899] = "Brewfest Ram",
        [65643] = "Swift Violet Ram",
        [43900] = "Swift Brewfest Ram",
        [23238] = "Swift Brown Ram",
        [22720] = "Black War Ram",
        [23239] = "Swift Gray Ram",
        [23510] = "Stormpike Battle Charger",
        [23240] = "Swift White Ram",
        [63636] = "Ironforge Ram",
        [171834] = "Vicious War Ram",
    },

    ["Raptors"] = {
        [8395] = "Emerald Raptor",
        [64659] = "Venomhide Ravasaur",
        [97581] = "Savage Raptor",
        [10796] = "Turquoise Raptor",
        [10799] = "Violet Raptor",
        [138642] = "Black Primal Raptor",
        [138643] = "Green Primal Raptor",
        [138641] = "Red Primal Raptor",
        [138640] = "Bone-White Primal Raptor",
        [17450] = "Ivory Raptor",
        [16084] = "Mottled Red Raptor",
        [171835] = "Vicious War Raptor",
        [23241] = "Swift Blue Raptor",
        [96491] = "Armored Razzashi Raptor",
        [22721] = "Black War Raptor",
        [23243] = "Swift Orange Raptor",
        [65644] = "Swift Purple Raptor",
        [23242] = "Swift Olive Raptor",
        [63635] = "Darkspear Raptor",
        [24242] = "Swift Razzashi Raptor",
        [84751] = "Fossilized Raptor",
    },

    ["Ravagers"] = {
            [163025] = "Grinning Reaver",
    },

    ["Ravens"] = {
        [155741] = "Armored Dread Raven",
        [41252] = "Raven Lord",
    },

    ["Rhinos"] = {
        [74918] = "Wooly White Rhino",
    },

    ["Riverbeasts"] = {
        [171638] = "Trained Riverwallow",
        [171824] = "Sapphire Riverbeast",
        [171825] = "Mosshide Riverwallow",
        [171826] = "Mudback Riverbeast",
    },

    ["Scorpions"] = {
        [93644] = "Kor'kron Annihilator",
        [123886] = "Amber Scorpion",
        [148417] = "Kor'kron Juggernaut",
    },

    ["Seahorses"] = {
        [98718] = "Subdued Seahorse",
        [75207] = "Abyssal Seahorse",
    },

    ["Silithids"] = {
        [25953] = "Blue Qiraji Battle Tank",
        [92155] = "Ultramarine Qiraji Battle Tank",
        [26056] = "Green Qiraji Battle Tank",
        [26054] = "Red Qiraji Battle Tank",
        [26055] = "Yellow Qiraji Battle Tank",
        [26656] = "Black Qiraji Battle Tank",
    },

    ["Talbuks"] = {
        [39316] = "Dark Riding Talbuk",
        [39315] = "Cobalt Riding Talbuk",
        [39318] = "Tan Riding Talbuk",
        [39317] = "Silver Riding Talbuk",
        [39319] = "White Riding Talbuk",
        [34790] = "Dark War Talbuk",
        [34896] = "Cobalt War Talbuk",
        [34899] = "Tan War Talbuk",
        [34898] = "Silver War Talbuk",
        [34897] = "White War Talbuk",
        [171829] = "Shadowmane Charger",
        [171830] = "Swift Breezestrider",
        [171831] = "Trained Silverpelt",
        [171832] = "Breezestrider Stallion",
        [171833] = "Pale Thorngrazer",
    },

    ["Tallstriders"] = {
        [102349] = "Swift Springstrider",
        [102350] = "Swift Lovebird",
        [102346] = "Swift Forest Strider",
        [101573] = "Swift Shorestrider",
    },

    ["Turtles"] = {
        [127286] = "Black Dragon Turtle",
        [127287] = "Blue Dragon Turtle",
        [127288] = "Brown Dragon Turtle",
        [120395] = "Green Dragon Turtle",
        [127289] = "Purple Dragon Turtle",
        [127290] = "Red Dragon Turtle",
        [127295] = "Great Black Dragon Turtle",
        [127302] = "Great Blue Dragon Turtle",
        [127308] = "Great Brown Dragon Turtle",
        [127293] = "Great Green Dragon Turtle",
        [127310] = "Great Purple Dragon Turtle",
        [120822] = "Great Red Dragon Turtle",
        [30174] = "Riding Turtle",
        [64731] = "Sea Turtle",
    },

    ["Water Striders"] = {
        [118089] = "Azure Water Strider",
        [127271] = "Crimson Water Strider",
    },

    ["Wolves"] = {
        [580] = "Timber Wolf",
        [64658] = "Black Wolf",
        [6654] = "Brown Wolf",
        [6653] = "Dire Wolf",
        [16081] = "Winter Wolf",
        [16080] = "Red Wolf",
        [22724] = "Black War Wolf",
        [23509] = "Frostwolf Howler",
        [23250] = "Swift Brown Wolf",
        [65646] = "Swift Burgundy Wolf",
        [23252] = "Swift Gray Wolf",
        [23251] = "Swift Timber Wolf",
        [63640] = "Orgrimmar Wolf",
        [68056] = "Swift Horde Wolf",
        [100333] = "Vicious War Wolf",
        [148396] = "Kor'kron War Wolf",
        [171851] = "Garn Nighthowl",
        [171841] = "Trained Snarler",
        [171843] = "Smoky Direwolf",
        [171842] = "Swift Frostwolf",
        [171844] = "Dustmane Direwolf",
        [171836] = "Garn Steelmaw",
        [171837] = "Warsong Direfang",
        [171839] = "Ironside Warwolf",
        [171838] = "Armoured Frostwolf",
        [92232] = "Spectral Wolf",
        [186305] = "Infernal Direwolf",
    },

    ["Wyverns"] = {
        [32244] = "Blue Wind Rider",
        [32243] = "Tawny Wind Rider",
        [32245] = "Green Wind Rider",
        [61230] = "Armored Blue Wind Rider",
        [32295] = "Swift Green Wind Rider",
        [32297] = "Swift Purple Wind Rider",
        [32246] = "Swift Red Wind Rider",
        [32296] = "Swift Yellow Wind Rider",
        [136164] = "Grand Wyvern",
        [135418] = "Grand Armored Wyvern",
        [107517] = "Spectral Wind Rider",
    },

    ["Yaks"] = {
        [127216] = "Grey Riding Yak",
        [127220] = "Blonde Riding Yak",
        [122708] = "Grand Expedition Yak",
    },

    ["Yeti"] = {
        [171848] = "Challenger's War Yeti",
        [191314] = "Minion of Grumpus",
    },

};

MountJournalEnhancedType = {
    repair = {
        [61425] = "Traveler's Tundra Mammoth",
        [122708] = "Grand Expedition Yak",
    },
    passenger = {
        [61425] = "Traveler's Tundra Mammoth",
        [122708] = "Grand Expedition Yak",
        [61469] = "Grand Ice Mammoth",
        [61470] = "Grand Ice Mammoth",
        [61465] = "Grand Black War Mammoth",
        [61467] = "Grand Black War Mammoth",
        [121820] = "Obsidian Nightwing",
        [93326] = "Sandstone Drake",
        [55531] = "Mechano-Hog",
        [60424] = "Mekgineer's Chopper",
        [75973] = "X-53 Touring Rocket",
    },
};

MountJournalEnhancedIgnored = {
    [459] = "Gray Wolf",
    [468] = "White Stallion",
    [578] = "Black Wolf",
    [579] = "Red Wolf",
    [581] = "Winter Wolf",
    [6896] = "Black Ram",
    [8980] = "Skeletal Horse",
    [10795] = "Ivory Raptor",
    [15780] = "Green Mechanostrider",
    [18363] = "Riding Kodo",
    [25863] = "Black Qiraji Battle Tank",
    [26655] = "Black Qiraji Battle Tank",
    [28828] = "Nether Drake",
    [33630] = "Blue Mechanostrider",
    [44317] = "Merciless Nether Drake",
    [48954] = "Swift Zhevra",
    [55164] = "Swift Spectral Gryphon",
    [58819] = "Swift Brown Steed",
    [59572] = "Black Polar Bear",
    [60136] = "Grand Caravan Mammoth",
    [60140] = "Grand Caravan Mammoth",
    [62048] = "Black Dragonhawk Mount",
    [64656] = "Blue Skeletal Warhorse",
    [66122] = "Magic Rooster",
    [66123] = "Magic Rooster",
    [66124] = "Magic Rooster",
    [66907] = "Argent Warhorse",
    [123182] = "White Riding Yak",
    [127165] = "Heavenly Jade Cloud Serpent",
    [127169] = "Heavenly Azure Cloud Serpent",
    [127209] = "Black Riding Yak",
    [127213] = "Brown Riding Yak",
    [148626] = "Furious Ashhide Mushan",
    [148970] = "Felsteed",
    [148972] = "Dreadsteed",
    [194046] = "Swift Spectral Rylak",
};